Site icon pollycoke :)

Aggiornamenti per Avant Window Navigator, il dock per GNOME [pacchetto]

Continuo a mettere il sottotitolo “dock per GNOME” al nome “Avant Window Navigator”… ma mi rendo conto che forse non è più necessario. Voglio dire, l’intera comunità sta impazzendo appresso a questo piccolo progetto! E a ragione.

Quella che vedete qui sopra è un’immagine dell’ultima versione svn di AWN, che presenta alcune piccole interessanti novità. Per carità, niente di pornografico come le immagini presentate in “Ecco Affinity, anche se “GNOME Porn” sarebbe il nome più azzeccato :)“, ma sicuramente benvenute.

La prima cosa che noterete è un piccolo “salto” tra le icone dei launcher e quelle dei documenti aperti. Il “separator” è una delle nuove caratteristiche di AWN “by popular demand”, a grande richiesta – come dice Neil. Consiste in una semplice linea larga un pixel, che si può impostare del colore che si desidera. Non sono completamente sicuro che mi piaccia, ma se non altro tiene ordine.

Altra caratteristica è la presenza di due “hotspot”agli estremi del dock, che permettono di trascinarvi nuove icone oppure, via click destro, lanciare le preferenze di AWN, di cui abbiamo una diapositiva:

Come potete notare, le preferenze di AWN cominciano a diventare ipertrofiche :(

Solite migliorie e aumentata stabilità, ma ricordate che questa è una versione non ufficialmente rilasciata di AWN, potete cmq compilarla con tranquillità oppure installare il pacchetto da me creato, scaricabile da questa pagina.

Ho preparato il pacchetto per Ubuntu Edgy, e non è un deb creato con checkinstall, ma un vero e proprio pacchetto debian, questo per evitare i soliti problemi di conflitti con altri pacchetti :)

A tal proposito vorrei fare un appunto a Treviño: ho notato che hai inserito AWN nel tuo repo, ma forse dovresti fare il “downgrade” del tuo pacchetto: ho visto che seguiva il mio numero di versione. Sappi che io ho il brutto vizio di rinominare i miei sorgenti prelevati da CVS gonfiando il numero di versione, quindi Invece di 0.1.2 va messo 0.1.1, così come da upstream.

Enjoy!

Vai alla barra degli strumenti